﻿
@{
    ViewBag.Title = "Report Invoice";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card">
    <div class="card-header d-flex justify-content-between">
        @*<h3>Report Invoice</h3>*@
        <div class="ml-auto p-2">
            <form id="filter_form">
                <div class="form-row">
                    <div class="col">
                        <input type="text" class="form-control" placeholder="Date from" onfocus="(this.type='date')" id="DateFrom">
                    </div>
                    <div class="col">
                        <input type="tex" class="form-control" placeholder="Date to" onfocus="(this.type='date')" id="DateTo">
                    </div>
                    <button class="btn btn-secondary" type="button" id="btn-search">Filter</button>
                </div>
            </form>
        </div>
        <!--Reload animasi-->
    </div>
    <div class="card-body">
        <table id="invoice-table" class="table table-bordered table-striped">
            <thead>
                <tr>
                    <th>Invoice Num</th>
                    <th>Customer ID</th>
                    <th>Customer Name</th>
                    <th>PO Num</th>
                    <th>Order Num</th>
                    <th>Invoice Date</th>
                </tr>
            </thead>
        </table>
    </div>
</div>

@section scripts
{
    <script>
        var tableReportInvoices;
        jQuery(document).ready(function ($) {
            //datatables
            tableReportInvoices = $('#invoice-table').DataTable({
                "aLengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                "processing": true,
                "serverSide": true,
                "filter": true, // this is for disable filter (search box)
                "orderMulti": false,
                "ajax": {
                    "url": "/Report/GetInvoiceData",
                    "type": "POST",
                    "datatype": "json",
                    "data": function (data) {
                        data.DateFrom = $('#DateFrom').val();
                        data.DateTo = $('#DateTo').val();
                    }
                },
                "columnDefs": [
                    {
                        "targets": 5,
                        "render": function (data) {
                            return moment(data).format('DD-MMM-YYYY');
                        },
                    }
                ],
                "columns": [
                    { "data": "InvoiceNum", "autoWidth": true },
                    { "data": "CustID", "autoWidth": true },
                    { "data": "Name", "autoWidth": true },
                    { "data": "PONum", "autoWidth": true },
                    { "data": "OrderNum", "autoWidth": true },
                    { "data": "InvoiceDate", "autoWidth": true },
                ]
            });
        });
        $('#btn-search').click(function () {
            tableReportInvoices.ajax.reload(null, false);
        });
    </script>
}

